<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: UIButton(XHXStyle)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_button_07_x_h_x_style_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#pub-static-methods">类方法</a> &#124;
<a href="category_u_i_button_07_x_h_x_style_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIButton(XHXStyle)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_button_09_x_h_x_style_8h_source.html">UIButton+XHXStyle.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:aaf8354ca328180594180dd14739cf693"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#aaf8354ca328180594180dd14739cf693">xhx_setTitleAndImageNormalState</a></td></tr>
<tr class="separator:aaf8354ca328180594180dd14739cf693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826aa9340630ec43e639335c359c9e2c"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a826aa9340630ec43e639335c359c9e2c">xhx_setTitleAndImageWithTitleLeft:interval:</a></td></tr>
<tr class="separator:a826aa9340630ec43e639335c359c9e2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe104b047c6d9f3bb3133538895dc7f6"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#abe104b047c6d9f3bb3133538895dc7f6">xhx_setTitleAndImageWithTitleTop:interval:</a></td></tr>
<tr class="separator:abe104b047c6d9f3bb3133538895dc7f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:ada77b5760b623e4172ff2ad3adbe1d01"><td class="memItemLeft" align="right" valign="top">(UIButton *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#ada77b5760b623e4172ff2ad3adbe1d01">xhx_whiteBackButtonWithTarget:action:</a></td></tr>
<tr class="separator:ada77b5760b623e4172ff2ad3adbe1d01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a687433f0acb36146a8368f8e6e6509c5"><td class="memItemLeft" align="right" valign="top">(UIButton *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a687433f0acb36146a8368f8e6e6509c5">xhx_blackBackButtonWithTarget:action:</a></td></tr>
<tr class="separator:a687433f0acb36146a8368f8e6e6509c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a905fe3824220f3171f990ff605f8db33"><td class="memItemLeft" align="right" valign="top">(UIButton *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a905fe3824220f3171f990ff605f8db33">xhx_greenBackButtonWithTarget:action:</a></td></tr>
<tr class="separator:a905fe3824220f3171f990ff605f8db33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85c9769a8a7a4d1b13f4f485e43a8891"><td class="memItemLeft" align="right" valign="top">(UIButton *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a85c9769a8a7a4d1b13f4f485e43a8891">xhx_backButtonWithTarget:action:imageName:</a></td></tr>
<tr class="memdesc:a85c9769a8a7a4d1b13f4f485e43a8891"><td class="mdescLeft">&#160;</td><td class="mdescRight">组件库私有方法 imageName: 必须是XHXKit库内的图片  <a href="category_u_i_button_07_x_h_x_style_08.html#a85c9769a8a7a4d1b13f4f485e43a8891">更多...</a><br /></td></tr>
<tr class="separator:a85c9769a8a7a4d1b13f4f485e43a8891"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8h_source.html">UIButton+XHXStyle.h</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8h_source.html#l00012">12</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a85c9769a8a7a4d1b13f4f485e43a8891"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85c9769a8a7a4d1b13f4f485e43a8891">&#9670;&nbsp;</a></span>xhx_backButtonWithTarget:action:imageName:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (UIButton *) xhx_backButtonWithTarget: </td>
          <td></td>
          <td class="paramtype">(id)&#160;</td>
          <td class="paramname"><em>target</em></td>
        </tr>
        <tr>
          <td class="paramkey">action:</td>
          <td></td>
          <td class="paramtype">(SEL)&#160;</td>
          <td class="paramname"><em>action</em></td>
        </tr>
        <tr>
          <td class="paramkey">imageName:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>imageName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>组件库私有方法 imageName: 必须是XHXKit库内的图片 </p>

<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a687433f0acb36146a8368f8e6e6509c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a687433f0acb36146a8368f8e6e6509c5">&#9670;&nbsp;</a></span>xhx_blackBackButtonWithTarget:action:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (UIButton *) xhx_blackBackButtonWithTarget: </td>
          <td></td>
          <td class="paramtype">(id)&#160;</td>
          <td class="paramname"><em>target</em></td>
        </tr>
        <tr>
          <td class="paramkey">action:</td>
          <td></td>
          <td class="paramtype">(SEL)&#160;</td>
          <td class="paramname"><em>action</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a905fe3824220f3171f990ff605f8db33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a905fe3824220f3171f990ff605f8db33">&#9670;&nbsp;</a></span>xhx_greenBackButtonWithTarget:action:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (UIButton *) xhx_greenBackButtonWithTarget: </td>
          <td></td>
          <td class="paramtype">(id)&#160;</td>
          <td class="paramname"><em>target</em></td>
        </tr>
        <tr>
          <td class="paramkey">action:</td>
          <td></td>
          <td class="paramtype">(SEL)&#160;</td>
          <td class="paramname"><em>action</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="aaf8354ca328180594180dd14739cf693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf8354ca328180594180dd14739cf693">&#9670;&nbsp;</a></span>xhx_setTitleAndImageNormalState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) xhx_setTitleAndImageNormalState </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a826aa9340630ec43e639335c359c9e2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a826aa9340630ec43e639335c359c9e2c">&#9670;&nbsp;</a></span>xhx_setTitleAndImageWithTitleLeft:interval:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) xhx_setTitleAndImageWithTitleLeft: </td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>left</em></td>
        </tr>
        <tr>
          <td class="paramkey">interval:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>interval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="abe104b047c6d9f3bb3133538895dc7f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe104b047c6d9f3bb3133538895dc7f6">&#9670;&nbsp;</a></span>xhx_setTitleAndImageWithTitleTop:interval:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) xhx_setTitleAndImageWithTitleTop: </td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>top</em></td>
        </tr>
        <tr>
          <td class="paramkey">interval:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>interval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="ada77b5760b623e4172ff2ad3adbe1d01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada77b5760b623e4172ff2ad3adbe1d01">&#9670;&nbsp;</a></span>xhx_whiteBackButtonWithTarget:action:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (UIButton *) xhx_whiteBackButtonWithTarget: </td>
          <td></td>
          <td class="paramtype">(id)&#160;</td>
          <td class="paramname"><em>target</em></td>
        </tr>
        <tr>
          <td class="paramkey">action:</td>
          <td></td>
          <td class="paramtype">(SEL)&#160;</td>
          <td class="paramname"><em>action</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a> 第 <a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/Base/Category/<a class="el" href="_u_i_button_09_x_h_x_style_8h_source.html">UIButton+XHXStyle.h</a></li>
<li>XHXKit/Classes/Base/Category/<a class="el" href="_u_i_button_09_x_h_x_style_8m_source.html">UIButton+XHXStyle.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_button_07_x_h_x_style_08.html">UIButton(XHXStyle)</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
